import request from '@/utils/httpRequest'

export default class LuckyDrawInfoService {
  save (param) {
    return request({
      url: '/luckyDraw/info/luckyDraw',
      method: 'post',
      data: param
    })
  }
  findByEventId (id) {
    return request({
      url: '/luckyDraw/info/findByEventId',
      method: 'get',
      params: {id: id}
    })
  }
  list (params) {
    return request({
      url: '/luckyDraw/info/list',
      method: 'get',
      params: params
    })
  }
  pjList (params) {
    return request({
      url: '/luckyDraw/info/pjList',
      method: 'get',
      params: params
    })
  }
}
